# Uses of Class
com.logicaldoc.core.automation.AutomationException

Packages that use AutomationException
Package
Description
com.logicaldoc.core.automation
Automation subsystem that allows you to program your own logic inside the platform.
The automation engine can be accessed through the class `Automation`
Please note the special annotation `AutomationDictionary` that is used to automatically put in the Dictionary whatever bean you need.
com.logicaldoc.core.communication
Classes that model emails and messages and the machinery to work with them.
com.logicaldoc.core.metadata.validation
Package that contains classes used to validate extensible objects metadata, `ExtensibleObject`.

## Uses of AutomationException in com.logicaldoc.core.automation

Subclasses of AutomationException in com.logicaldoc.core.automation
Modifier and Type
Class
Description
`class`
`ForbiddenCodeException`
Exception raised when suspicious code has been detected
Methods in com.logicaldoc.core.automation that throw AutomationException
Modifier and Type
Method
Description
`String`
Automation.`evaluate(String expression, Map<String,Object> clientDictionary)`
Evaluate a given expression.
`void`
Automation.`evaluate(Map<String,Object> clientDictionary, Reader reader, Writer writer)`
Evaluate a given expression.

## Uses of AutomationException in com.logicaldoc.core.communication

Methods in com.logicaldoc.core.communication that throw AutomationException
Modifier and Type
Method
Description
`String`
MessageTemplate.`getFormattedBody(Map<String,Object> dictionary)`
`String`
MessageTemplate.`getFormattedSubject(Map<String,Object> dictionary)`
`void`
EMailSender.`send(EMail email, String templateName, Map<String,Object> dictionary)`
Sends an email by using a given template

## Uses of AutomationException in com.logicaldoc.core.metadata.validation

Methods in com.logicaldoc.core.metadata.validation that throw AutomationException
Modifier and Type
Method
Description
`void`
Validator.`validate(ExtensibleObject object, Template template, History transaction)`
Validates an object instance taking the validation logic from a given template